Note: This endpoint is in preview and is subject to change.
If you have any feedback, contact Datadog support.
DELETE https://api.ap1.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.ap2.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.datadoghq.eu/api/v2/model-lab-api/runs/{run_id}https://api.ddog-gov.com/api/v2/model-lab-api/runs/{run_id}https://api.us2.ddog-gov.com/api/v2/model-lab-api/runs/{run_id}https://api.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.us3.datadoghq.com/api/v2/model-lab-api/runs/{run_id}https://api.us5.datadoghq.com/api/v2/model-lab-api/runs/{run_id}
Overview
Delete a Model Lab run by its ID.
Arguments
Path Parameters
The ID of the Model Lab run.
Response
Bad Request
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Not Found
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Too many requests
{
"errors": [
"Bad Request"
]
}
Internal Server Error
API error response.
Expand All
A human-readable explanation specific to this occurrence of the error.
Non-standard meta-information about the error
References to the source of the error.
A string indicating the name of a single request header which caused the error.
A string indicating which URI query parameter caused the error.
A JSON pointer to the value in the request document that caused the error.
Status code of the response.
Short human-readable summary of the error.
{
"errors": [
{
"detail": "Missing required attribute in body",
"meta": {},
"source": {
"header": "Authorization",
"parameter": "limit",
"pointer": "/data/attributes/title"
},
"status": "400",
"title": "Bad Request"
}
]
}
Code Example
# Path parameters
export run_id="42"
# Curl command
curl -X DELETE "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/model-lab-api/runs/${run_id}" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}"